element.cpp File Reference
`#include <gecode/minimodel.hh>`
`#include "test/set.hh"`

Go to the source code of this file.

## Classes

class | Test::Set::Element::ElementUnion
| Test for ElementUnion constraint More...
class | Test::Set::Element::ElementUnionConst
| Test for ElementUnionConst constraint More...
class | Test::Set::Element::ElementInter
| Test for ElementInter constraint More...
class | Test::Set::Element::ElementInterIn
| Test for ElementInter constraint More...
class | Test::Set::Element::ElementDisjoint
| Test for ElementDisjoint constraint More...
class | Test::Set::Element::ElementSet
| Test for ElementSet constraint More...
class | Test::Set::Element::ElementSetConst
| Test for ElementSetConst constraint More...
class | Test::Set::Element::MatrixIntSet
| Test for matrix element with integer set array and set variable More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Set
| Testing finite sets.
namespace | Test::Set::Element
| Tests for set element constraints

## Variables

ElementUnion | Test::Set::Element::_elementunion ("Element::Union")
ElementUnionConst | Test::Set::Element::_elementunionconst ("Element::UnionConst")
ElementInter | Test::Set::Element::_elementinter ("Element::Inter")
ElementInterIn | Test::Set::Element::_elementinterin ("Element::InterIn")
ElementDisjoint | Test::Set::Element::_elementdisjoint ("Element::Disjoint")
ElementSet | Test::Set::Element::_elementset ("Element::Set")
ElementSetConst | Test::Set::Element::_elementsetconst ("Element::SetConst")
MatrixIntSet | Test::Set::Element::_emis